import request from '@/utils/request'

export function login(data) {
  return request({
    // url: '/staff/auth/login',
    url: '/api/auth/sms',
    method: 'post',
    data
  })
}
export function getGuestToken(data) {
  return request({
    // url: '/staff/auth/login',
    url: '/api/auth/guest',
    method: 'post',
    data
  })
}
// /api/auth/guest

export function getSms(data) {
  return request({
    // url: '/staff/auth/login',
    url: '/api/common/sms/send',
    method: 'get',
    params: data
  })
}

export function getInfo() {
  return request({
    url: '/api/convenience/v2/staff/info',
    method: 'get'
    // params: { id }
  })
}

export function logout() {
  return request({
    url: '/vue-element-admin/user/logout',
    method: 'post'
  })
}
